Taifa Identity. Docs
OpenAPI
Developers

API reference

Owner direct authority

Management API contract View .md

3 management API operations for owner direct authority.

GET/v1/institutions/{institution_id}/owner-direct-authority-grants

Inventory

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/owner-direct-authority-grants

Create

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredGrantCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
person_idstringYesValidation: min length 1; max length 128
administratorbooleanNo
project_idsstring[]NoValidation: max items 20

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/owner-direct-authority-grants/{grant_id}/revoke

Revoke

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
grant_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredRevoke

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section